Bug 971243 - Review Request: sugar-geogebra - Dynamic Mathematics for Everyone
Review Request: sugar-geogebra - Dynamic Mathematics for Everyone
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2013-06-06 02:17 EDT by Danishka Navin
Modified: 2015-12-20 07:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2013-06-06 02:17:11 EDT
Spec URL: http://snavin.fedorapeople.org/packages/sugar-geogebra/sugar-geogebra.spec

SRPM URL: snavin.fedorapeople.org/packages/sugar-geogebra/sugar-geogebra-4-1.fc18.src.rpm
Description: 
GeoGebra is dynamic mathematics software for all levels of education that joins arithmetic, geometry, algebra and calculus. It offers multiple representations of objects in its graphics, algebra, and spreadsheet views that are all dynamically linked.

Fedora Account System Username: snavin
Comment 2 Danishka Navin 2013-06-06 02:22:35 EDT
Got 21 errors for rpmlint but .properties files are not empty.
So, I did not used the solution mentioned in bellow link

https://fedoraproject.org/wiki/Packaging_tricks?rd=PackageMaintainers/Packaging_Tricks#Zero_length_files

I need advice on how to fix rest of the errors and warnings as well.


rpmlint /home/danishka/rpmbuild/RPMS/x86_64/sugar-geogebra-4-1.fc18.x86_64.rpm
sugar-geogebra.x86_64: E: arch-dependent-file-in-usr-share /usr/share/sugar/activities/GeoGebra.activity/lib/libsugarize.so
sugar-geogebra.x86_64: E: invalid-soname /usr/share/sugar/activities/GeoGebra.activity/lib/libsugarize.so libsugarize.so
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/error_pt.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/command_bg.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/command_no.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/plain_ty.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/menu_pt.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/error_no.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/command_zh.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/command_zh_CN.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/menu_ty.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/command_pt.properties
sugar-geogebra.x86_64: W: hidden-file-or-dir /usr/share/sugar/activities/GeoGebra.activity/.sweets
sugar-geogebra.x86_64: W: hidden-file-or-dir /usr/share/sugar/activities/GeoGebra.activity/.sweets
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/command_ty.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/error_zh.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/plain_no.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/error_de_AT.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/menu_zh.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/plain_zh.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/menu_no.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/plain_pt.properties
sugar-geogebra.x86_64: E: zero-length /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra/properties/error_ty.properties
sugar-geogebra.x86_64: W: class-path-in-manifest /usr/share/sugar/activities/GeoGebra.activity/geogebra/geogebra.jar
1 packages and 0 specfiles checked; 21 errors, 3 warnings.
Comment 3 Jason Tibbitts 2013-06-06 10:36:03 EDT
This is interesting; how does this get by without having some externally packaged geogebra?  It isn't permissible to just bundle a jar file; you would have to build that from source, but that doesn't seem to be done at all.

I think someone would need to properly package Geobebra first, and then this package could depend on that.
Comment 4 Christopher Meng 2013-09-17 08:55:22 EDT
I think we need this:

http://www.geogebra.org/download/?os=unix

Any news here?

Note You need to log in before you can comment on or make changes to this bug.